<?php

	$positions = get_post_meta(get_option('administer_post_id'), 'administer_positions', true);

	if (empty($positions))
			echo '<div id="message" class="updated fade"><p><strong>' . __('Before you can add content you need to define some positions. These positions will be where your content appears.') . '</strong></p></div>';			
	
	$positions_t = array();
	$positions_w = array();
	if (is_array($positions)) {
		foreach ($positions as $position) {
			if ($position['type'] == 'widget') $positions_w[$position['position']] = $position;
			if ($position['type'] == 'template') $positions_t[$position['position']] = $position;
		}
	}
	ksort($positions_t);
	ksort($positions_w);
?>


<form>
<div id="positions">

	<h3>Template Positions</h3>

	<p><?php _e('These are the positions defined within the theme that you are using.', 'ad-minister'); ?></p>

	<table class="templatePositions">
		<thead>
			<tr>
				<th class="positionKey" scope="col" style=""><?php _e('Position Name', 'ad-minister'); ?></th>
				<th class="templatePositionsDescription" scope="col"><?php _e('Description', 'ad-minister'); ?></th>
				<th class="templateFunctions" scope="col" colspan="1">Wrapper</th>
				<th class="templatePositionsActions" colspan="2" scope="col"><?php _e('Actions', 'ad-minister'); ?></th>
			</tr>
		</thead>
		<tbody id="positions_body">

		<?php
		$nbr = 0;
		if (!empty($positions_t)) {
			foreach ($positions_t as $position) 
				if ($position['type'] == 'template')
					administer_position_template($position, $nbr++);
		} else { 
			$url = get_option('siteurl') . '/wp-admin/edit.php?page=' . dirname(plugin_basename(__FILE__)) . '/ad-minister.php&tab=help';
			$string = __('There are currently no template positions defined. %a%See the documentation%b% on how to do that', 'ad-minister');
			$string = str_replace('%a%', '<a href="' . $url . '">', $string);
			$string = str_replace('%b%', '</a>', $string);
			?>
			<tr class="odd"><td colspan="4"><?php echo $string;  ?>.</td></tr>
	
	<?php } ?>
		</tbody>
	</table>


	
	<h3>Widget Positions</h3>
	
	<p><?php _e('Below are the Ad-minister widgets available to be <a href="widgets.php">placed your blog</a> (the positions below are prepended with \'Ad: \' on as to identify them).', 'ad-minister'); ?></p>

	<div id="positions">
	<table class="templatePositions">
		<thead>
			<tr>
				<th class="positionKey" scope="col" style=""><?php _e('Widget Name', 'ad-minister'); ?></th>
				<th class="templatePositionsDescription" scope="col"><?php _e('Description', 'ad-minister'); ?></th>
				<th class="templateFunctions" scope="col" colspan="1"><?php _e('Wrapper', 'ad-minister'); ?></th>
				<th class="templatePositionsActions" colspan="2" scope="col"><?php _e('Actions', 'ad-minister'); ?></th>
			</tr>
		</thead>
		<tbody id="widget_positions_body">

		<?php
				
		if (!empty($positions_w)) {
			foreach ($positions_w as $position) {
				if ($position['type'] == 'widget') administer_position_template($position, $nbr++);
			}
			if (!$nbr) administer_position_template(array(), $nbr++);
		} else administer_position_template(array(), $nbr++);
		
		?>
		</tbody>
	</table>	

<p><input type="button" onclick="p2m_add_position(); return false;" value="<?php _e('Add a new widget position', 'ad-minister'); ?>"></p>

</form>

</div>
</div>

<?php




?>