<?php

	// Saving our Options.
	if ($ad_post_id = $_POST['administer_post_id']) {
		$the_page = get_page($_POST['administer_post_id']);
		update_option('administer_post_id', $ad_post_id);
		if (preg_match('/\d+$/', $ad_post_id)) {
			if ($the_page->post_author) 
				echo '<div id="message" class="updated fade"><p><strong>' . __('Options saved.') . '</strong></p></div>';			
		} else {
			echo '<div id="message" class="updated fade"><p><strong>' . __('Error! The ID must be a number. Try again.') . '</strong></p></div>';		
		}
		
		update_option('administer_dashboard_period', $_POST['administer_dashboard_period']);
		update_option('administer_user_level', $_POST['administer_user_level']);

		// Checkboxes...
		$names = array('administer_make_widgets', 'administer_dashboard_show');
		foreach ($names as $name) {
			$value = ($_POST[$name] == 'on') ? 'true' : 'false';
			update_option($name, $value);		
		}
	}

	// Default settings
	if (!strlen(get_option('administer_make_widgets'))) 
		update_option('administer_make_widgets', 'true');

	if (!strlen(get_option('administer_dashboard_show'))) 
		update_option('administer_dash board_show', 'true');

	if (!strlen(get_option('administer_dashboard_period')))
		update_option('administer_dashboard_period', '7');

	if (!strlen(get_option('administer_user_level')))
		update_option('administer_user_level', '7');

	// Display installation messsage 
	if (!get_option('administer_post_id'))
		echo '<div id="message" class="updated fade"><p><strong>' . __('Before you get started you must specify the ID of an existing post or page that will hold the content.', 'ad-minister') . '</strong></p></div>';

	// Check that the post ID exists. 
	if (get_option('administer_post_id') && !administer_ok_to_go())
		echo '<div id="message" class="updated fade"><p><strong>' . __('Error! The ID you supplied does not exist', 'ad-minister') . ' <a href="' . get_option('siteurl') . '/wp-admin/page-new.php">' . __('Go create a one', 'ad-minister') . '</a></strong></p></div>';			

	// See what post we're attached to
	$the_page = get_page(get_option('administer_post_id'));
	$title = ($the_page->post_author) ? __('The content is currently attached to post/page ID <strong>', 'ad-minister') . get_option('administer_post_id') . "</strong> entitled '" . $the_page->post_title . "'. | <a href='#' onclick=\" alert('" . __('Warning! Changing the ID will cause the positions and content to dissapear. Please do proceed with caution.', 'ad-minister') . "'); $('view_ad_post_id').hide(); $('edit_ad_post_id').show(); return false; \">" . __('Change', 'ad-minister') . "</a>" : '';
	$this_page = get_option('siteurl') . '/wp-admin/edit.php?page=ad-minister/ad-minister.php';
?>



<div style='padding: 20px;'>
	<form method="post" action="edit.php?page=ad-minister&tab=settings">

	<?php  // wp_nonce_field('update-options') ?>

	<input type="hidden" name="page" value="<?php echo dirname(plugin_basename(__FILE__)); ?>">
	<input type="hidden" name="tab" value="settings">

	<h4><?php _e('ID of post/page that Ad-minister piggybacks onto', 'ad-minister'); ?>:</h4>
	<blockquote>
		<p><?php _e('The content attaches itself to a post or page. Specify the ID of the post or page that you want the content to be attached to. Make sure this is not a page that you are likely to delete.', 'ad-minister'); ?></p>
		<div id="view_ad_post_id" ><?php echo $title; ?></div>
		<div id="edit_ad_post_id" <?php if ($title) echo 'style="display: none"'; ?>><?php _e('ID of page to attach the ads to', 'ad-minister'); ?>: <input type="text" name="administer_post_id" value="<?php echo get_option('administer_post_id'); ?>" style="width: 30px;"></div>
	</blockquote>

	<h4><?php _e('Schedueling notification on the Dashboard', 'ad-minister'); ?>:</h4>
	<blockquote>
		<p><input type="checkbox" id="administer_dashbaord_show" name="administer_dashboard_show" <?php if (get_option('administer_dashboard_show') == 'true') echo ' checked="checked" '; ?>> <label for="administer_dashbaord_show"><?php _e('Alert on the Dashboard of upcoming content expiration or activation.', 'ad-minister'); ?></label></p>
		<p><?php _e('Number of days to check for upcoming events', 'ad-minister'); ?>: <input type="text" name="administer_dashboard_period" value="<?php echo get_option('administer_dashboard_period'); ?>" style="width: 40px;"></p>
	</blockquote>

	<h4><?php _e('Theme widets', 'ad-minister'); ?>:</h4>
	<blockquote>
		<p><input type="checkbox" id="administer_make_widgets" name="administer_make_widgets" <?php if (get_option('administer_make_widgets') == 'true') echo ' checked="checked"'; ?>> <label for="administer_make_widgets"><?php _e('Make theme widgets?', 'ad-minister'); ?></label></p>
	</blockquote>

	<h4><?php _e('User access to Ad-minister admin tab', 'ad-minister'); ?>:</h4>
	<blockquote>
		<p><?php _e('The minimum <a href="http://codex.wordpress.org/User_Levels">User Level</a> required to access Ad-minister:', 'ad-minister'); ?>

		<p> 
			<select name="administer_user_level">
				<?php $ul = get_option('administer_user_level'); ?>
				<option value="10" <?php if ($ul == '10') echo 'selected="selected"'; ?>><?php _e('Administrator', 'ad-minister'); ?></option>
				<option value="7" <?php if ($ul == '7') echo 'selected="selected"'; ?>><?php _e('Editor', 'ad-minister'); ?></option>
				<option value="2" <?php if ($ul == '2') echo 'selected="selected"'; ?>><?php _e('Author', 'ad-minister'); ?></option>
				<option value="1" <?php if ($ul == '1') echo 'selected="selected"'; ?>><?php _e('Contributor', 'ad-minister'); ?></option>
			</select>
		</p>
		</p>
	</blockquote>

	<h4><?php _e('XML Export', 'ad-minister'); ?>:</h4>
	<blockquote>
		<a href="<?php echo get_option('siteurl') . '/wp-admin/export.php?download=true&administer=true' ?>"><?php _e('Download', 'ad-minister'); ?></a> <?php _e('Worpress XML export file for Ad-minister positions and content', 'ad-minister'); ?>.
	</blockquote>

	<p class="submit">
		<input type="submit" name="Submit" value="<?php _e('Update Settings', 'ad-minister') ?>" />
	</p>

</form>
</div>

<?php

?>